package com.example.reproducer;

import org.kie.api.KieServices;
import org.kie.api.runtime.KieContainer;
import org.kie.api.runtime.KieSession;


public class DroolsTest {

    public static final void main(String[] args) {
        try {
            KieServices kServices = KieServices.Factory.get();
            KieContainer kContainer = kServices.getKieClasspathContainer();
            KieSession kSession = kContainer.newKieSession();

            Target target = new Target();
            // target.setText("XXX");
            target.setText("NoMatch");
            target.setNumber1(10);
            kSession.insert(target);

            System.out.println("***** start");
            kSession.fireAllRules();
            System.out.println("***** end");

        } catch (Throwable t) {
            t.printStackTrace();
        }
    }

}

